watchEffect(() => {
	// prettify json text
	if (rec.prf && rec.prf.json_data) {
		try {
			// do not use nc.setRec(), it would cause change rec to go dirty
			let data
			if (typeof rec.prf.json_data === 'string') {
				data = nc.toJson(nc.fromJson(rec.prf.json_data))
			} else {
				data = nc.toJson(rec.prf.json_data)
			}
			if (data) {
				rec.prf.json_data = data
			}
		} catch {}
	}
})
